/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */

import { Contract, Signer, utils } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type {
  FeeModuleBase,
  FeeModuleBaseInterface,
} from "../../../../contracts/core/modules/FeeModuleBase";

const _abi = [
  {
    inputs: [],
    name: "InitParamsInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "OSP",
    outputs: [
      {
        internalType: "address",
        name: "",
        type: "address",
      },
    ],
    stateMutability: "view",
    type: "function",
  },
] as const;

export class FeeModuleBase__factory {
  static readonly abi = _abi;
  static createInterface(): FeeModuleBaseInterface {
    return new utils.Interface(_abi) as FeeModuleBaseInterface;
  }
  static connect(
    address: string,
    signerOrProvider: Signer | Provider
  ): FeeModuleBase {
    return new Contract(address, _abi, signerOrProvider) as FeeModuleBase;
  }
}
